/*******************************************************************************
 * Copyright (c) 2011 Karlsruhe Institute of Technology (KIT) - Institute for 
 * Applied Computer Science (IAI). 
 * 
 * This file is part of soda4LCA - the Service-Oriented Life Cycle Data Store.
 * 
 * soda4LCA is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * soda4LCA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with soda4LCA.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/


/*
 * UrlUtils.java
 *
 * Created on 30. April 2006, 21:57
 *
 */

package de.iai.ilcd.gui.utils;

/**
 * 
 * @author clemens
 */
public class UrlUtils {

	/** Creates a new instance of UrlUtils */
	public UrlUtils() {
	}

	public String fixUrl(String url) {
		String[] parts = url.split("[( ;,\t]+");
		if (parts.length > 0)
			url = parts[0];
		if (url.startsWith("http:"))
			return url;
		else
			return "http://" + url;
	}

	public String[] splitEmail(String email) {
		String[] parts = email.split("[, \t\n;]+");
		return parts;
	}

	public String encode(String s) {
		try {
			return java.net.URLEncoder.encode(s, "UTF-8");
		} catch (Exception e) {
			return s;
		}
	}
}
