/*******************************************************************************
 * Copyright (c) 2011 Karlsruhe Institute of Technology (KIT) - Institute for 
 * Applied Computer Science (IAI). 
 * 
 * This file is part of soda4LCA - the Service-Oriented Life Cycle Data Store.
 * 
 * soda4LCA is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * soda4LCA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with soda4LCA.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/


package de.iai.ilcd.webgui.controller.admin;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;

import de.iai.ilcd.model.dao.UserDao;
import de.iai.ilcd.model.security.User;

/**
 * 
 * @author clemens.duepmeier
 */
@ManagedBean(name = "userListHandler")
@RequestScoped
public class UserListHandler implements Serializable {
	private List<GuiListManagerItem<User>> userItems = new ArrayList<GuiListManagerItem<User>>();;

	private UserDao dao = new UserDao();

	public UserListHandler() {

	}

	public List<GuiListManagerItem<User>> getUserItems() {

		List<User> nodes = dao.getUsers();
		GuiListManagerUtils<User> utils = new GuiListManagerUtils<User>();

		userItems = utils.createGuiItemList(nodes);
		return userItems;
	}

	public void deleteSelected() {

		List<GuiListManagerItem<User>> removeList = new ArrayList<GuiListManagerItem<User>>();

		for (GuiListManagerItem<User> userItem : userItems) {
			if (userItem.isShouldBeDeleted()) {
				User user = userItem.getItem();
				user.removeFromAllGroups();
				dao.remove(user);
				removeList.add(userItem);
				FacesMessage facesMsg = new FacesMessage(FacesMessage.SEVERITY_WARN, "Removed "
						+ userItem.getItem().getUserName() + "\n", "");
				FacesContext.getCurrentInstance().addMessage("errorInfo", facesMsg);
			}
		}
		for (GuiListManagerItem<User> rDesc : removeList)
			userItems.remove(rDesc);
	}
}
